# ForeignChangeAction Class Reference
[Dynamic query builder]

Inheritance diagram for ForeignChangeAction:
[legend]

List of all members.

## Static Public Member Functions

static | noAction ()
static | restrict ()
static | cascade ()
static | setNull ()
static | setDefault ()

## Public Attributes

const | NO_ACTION = 0x01
const | RESTRICT = 0x02
const | CASCADE = 0x03
const | SET_NULL = 0x04
const | SET_DEFAULT = 0x05

## Protected Attributes

| $names

## Detailed Description

Definition at line 15 of file ForeignChangeAction.class.php.

## Member Function Documentation

static ForeignChangeAction::cascade | ( |  | ) | `[static]`

Returns:
  ForeignChangeAction

Definition at line 50 of file ForeignChangeAction.class.php.

Referenced by SchemaBuilder::buildRelations().

static ForeignChangeAction::noAction | ( |  | ) | `[static]`

Returns:
  ForeignChangeAction

Definition at line 34 of file ForeignChangeAction.class.php.

static ForeignChangeAction::restrict | ( |  | ) | `[static]`

Returns:
  ForeignChangeAction

Definition at line 42 of file ForeignChangeAction.class.php.

Referenced by SchemaBuilder::buildRelations().

static ForeignChangeAction::setDefault | ( |  | ) | `[static]`

Returns:
  ForeignChangeAction

Definition at line 66 of file ForeignChangeAction.class.php.

static ForeignChangeAction::setNull | ( |  | ) | `[static]`

Returns:
  ForeignChangeAction

Definition at line 58 of file ForeignChangeAction.class.php.

## Member Data Documentation

ForeignChangeAction::$names`[protected]`

Initial value:

     array(
                self::NO_ACTION     => 'NO ACTION',
                self::RESTRICT      => 'RESTRICT',
                self::CASCADE       => 'CASCADE',
                self::SET_NULL      => 'SET NULL',
                self::SET_DEFAULT   => 'SET DEFAULT'
            )

Reimplemented from Enumeration.

Definition at line 23 of file ForeignChangeAction.class.php.

const ForeignChangeAction::CASCADE = 0x03

Definition at line 19 of file ForeignChangeAction.class.php.

const ForeignChangeAction::NO_ACTION = 0x01

Definition at line 17 of file ForeignChangeAction.class.php.

const ForeignChangeAction::RESTRICT = 0x02

Definition at line 18 of file ForeignChangeAction.class.php.

const ForeignChangeAction::SET_DEFAULT = 0x05

Definition at line 21 of file ForeignChangeAction.class.php.

const ForeignChangeAction::SET_NULL = 0x04

Definition at line 20 of file ForeignChangeAction.class.php.

The documentation for this class was generated from the following file:

- core/OSQL/ForeignChangeAction.class.php